# Created by pyp2rpm-3.3.10
%global pypi_name streamdeck-ui
%global pypi_version 2.0.15

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A service, Web Interface, and UI for interacting with your computer using a Stream Deck

License:        None
URL:            None
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/streamdeck_ui-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
[![streamdeck_ui - Linux compatible UI for the Elgato Stream
Deck](art/logo_large.png)]( _________________[![PyPI version]( [![Test Status](
[![codecov]( [![Join the chat at

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       (python3dist(cairosvg) >= 2.5.2 with python3dist(cairosvg) < 3~~)
Requires:       (python3dist(filetype) >= 1.0.10 with python3dist(filetype) < 2~~)
Requires:       (python3dist(pillow) >= 9.4 with python3dist(pillow) < 10~~)
Requires:       (python3dist(pynput) >= 1.7.6 with python3dist(pynput) < 2~~)
Requires:       (python3dist(pyside6) >= 6.4.2 with python3dist(pyside6) < 7~~)
Requires:       (python3dist(python-xlib) >= 0.33 with python3dist(python-xlib) < 0.34~~)
Requires:       python3dist(setuptools)
Requires:       (python3dist(streamdeck) >= 0.9.3 with python3dist(streamdeck) < 0.10~~)
%description -n python3-%{pypi_name}
[![streamdeck_ui - Linux compatible UI for the Elgato Stream
Deck](art/logo_large.png)]( _________________[![PyPI version]( [![Test Status](
[![codecov]( [![Join the chat at


%prep
%autosetup -n streamdeck_ui-%{pypi_version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE streamdeck_ui/fonts/roboto/LICENSE.txt
%doc README.md
%{_bindir}/streamdeck
%{python3_sitelib}/streamdeck_ui
%{python3_sitelib}/streamdeck_ui-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Feb 26 2024 mockbuilder - 2.0.15-1
- Initial package.